<?php
class Usuario extends Controllers
{
    public function __construct()
    {
        session_start();
        if (empty($_SESSION['activo'])) {
            header("location: ".base_url());
        }
        parent::__construct();
    }
    public function Listar()
    {
        if ($_SESSION['id_rol'] == 1) {        
            $usuario = $this->model->selectUsuario();
            $rol = $this->model->selectRol();        
            $data = ['usuario' => $usuario, 'rol' => $rol];        
            $this->views->getView($this, "Listar", $data, "");        
        }
    }
    public function insertar()
    {
        $nombre = $_POST['nombre'];
        $usuario = $_POST['usuario'];
        $correo = $_POST['correo'];
        $clave = $_POST['clave'];
        $id_rol = $_POST['id_rol'];
        $confirmar = $_POST['confirmar'];
        $hash = hash("SHA256", $clave);
        if ($clave != $confirmar) {
            $alert = array('mensaje' => 'no');
        } else {
            $insert = $this->model->insertarUsuario($nombre, $usuario, $correo, $hash, $id_rol);
            if ($insert > 0) {
                $alert = 'registrado';
            } else if ($insert == 'existe') {
                $alert = 'existe';
            } else {
                $alert = 'error';
            }
        }

        $data = $this->model->selectUsuario();
        header("location: " . base_url() . "Usuario/Listar?msg=$alert");
        die();
    }
    public function editar()
    {
        $id = $_GET['id'];
        $data = $this->model->editarUsuario($id);
        if ($data == 0) {
            $this->Listar();
        } else {
            $this->views->getView($this, "Editar", $data);
        }
    }
    public function actualizar()
    {
        $id = $_POST['id'];
        $nombre = $_POST['nombre'];
        $usuario = $_POST['usuario'];
        $correo = $_POST['correo'];
        $clave = $_POST['clave'];
        $id_rol = $_POST['id_rol'];
        $actualizar = $this->model->actualizarUsuario($nombre, $usuario, $clave, $correo, $id_rol, $id);
        if ($actualizar == 1) {
            $alert = 'modificado';
        } else {
            $alert =  'error';
        }
        $data = $this->model->selectUsuario();
        header("location: " . base_url() . "Usuario/Listar?msg=$alert");
        die();
    }
    public function eliminar()
    {
        $id = $_GET['id'];
        $eliminar = $this->model->eliminarUsuario($id);
        $data = $this->model->selectUsuario();
        header("location: " . base_url() . "Usuario/Listar");
        die();
    }
    public function eliminados()
    {
        $data = $this->model->selectInactivos();
        $this->views->getView($this, "Eliminados", $data, "");
        
    }
    public function reingresar()
    {
        $id = $_GET['id'];
        $this->model->reingresarUsuario($id);
        $this->model->selectUsuario();
        header('location: ' . base_url() . 'Usuario/Listar');
        //$this->views->getView($this, "Listar", $data);
        die();
    }
    public function login()
    {
        if (!empty($_POST['usuario']) || !empty($_POST['clave'])) {
            $usuario = $_POST['usuario'];
            $clave = $_POST['clave'];
            $hash = hash("SHA256", $clave);
            $data = $this->model->verificaUsuario($usuario, $hash);
            if (!empty($data)) {
                    $_SESSION['id'] = $data['id'];
                    $_SESSION['nombre'] = $data['nombre'];
                    $_SESSION['usuario'] = $data['usuario'];
                    $_SESSION['correo'] = $data['correo'];
                    $_SESSION['id_rol'] = $data['id_rol'];
                    $_SESSION['activo'] = true;
                    header('location: '.base_url(). 'Admin/Listar');
            } else {
                $error = 0;
                header("location: ".base_url()."?msg=$error");
            }
        }
    }

    public function perfil()
    {
        $data = $this->model->selectUsuarioPass(1);
        $this->views->getView($this, "Cambiarpass", $data);
    }

    public function salir()
    {
        session_destroy();
        header("Location: ".base_url());
    }

    public function cambiar()
    {
        $id = $_SESSION['id'];
        $actual = $_POST['actual'];
        $hash = hash("SHA256", $actual);
        $nueva = hash("SHA256", $_POST['nueva']);
        $data = $this->model->cambiarPass($hash, $id);
        if ($data != null || $data != "") {
            $cambio = $this->model->cambiarContra($nueva, $id);
            if ($cambio == 1) {
                $alert = "grabado";
                header("Location: " . base_url(). "Usuario/Perfil?msg=$alert");
            }
        }else{
            $alert = "diferente";
            header("location: " . base_url() . "Usuario/Perfil?msg=$alert");

        }  
    }

    public function cambiarContra(string $clave, int $id)
    {
        $this->clave = $clave;
        $this->id = $id;
        $query = "UPDATE usuario SET clave = ? WHERE id = ?";
        $data = array($this->clave, $this->id);
        $resul = $this->update($query, $data);
        return $resul;
    }

    public function respaldo()
    {
        if ($_SESSION['id_rol'] == 1) {        

            $fecha = date("dmY-His"); //Obtenemos la fecha y hora para identificar el respaldo
         
            // Construimos el nombre de archivo SQL Ejemplo: mibase_20170101-081120.sql
            $salida_sql = $db_name.'_'.$fecha.'.sql'; 
            //Comando para genera respaldo de MySQL, enviamos las variales de conexion y el destino
            $dump = "C:\\xampp\\mysql\\bin\\mysqldump --opt --user=root --host=localhost --password=chivita educacion>$salida_sql";

            
            system($dump, $output); //Ejecutamos el comando para respaldo
            
            $zip = new ZipArchive(); //Objeto de Libreria ZipArchive
            
            //Construimos el nombre del archivo ZIP Ejemplo: mibase_20160101-081120.zip
            $salida_zip = $db_name.'_'.$fecha.'.zip';
            
            if($zip->open($salida_zip,ZIPARCHIVE::CREATE)===true) { //Creamos y abrimos el archivo ZIP
                $zip->addFile($salida_sql); //Agregamos el archivo SQL a ZIP
                $zip->close(); //Cerramos el ZIP
                unlink($salida_sql); //Eliminamos el archivo temporal SQL
                header("location: " . base_url() . "$salida_zip");

                } else {
                echo 'Error'; //Enviamos el mensaje de error
            }
        }
    }
}